<?php

/**
 * Loop template for the more Deals on the Deals home page.
 * 
 * Override this template by copying it to yourtheme/deals-engine/home-deals/more-deals/more-deals.php
 * 
 * @author 		Social Deals Engine
 * @package 	Deals-Engine/Includes/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $wps_deals_options, $wps_deals_by_category_shortcode_atts, $post, $wps_deals_price;

$prefix = WPS_DEALS_META_PREFIX;

// get the columns value
$columns = $wps_deals_options['deals_columns'];

$cols = '2';

if( $columns == 'deals-col-4' ) {
	$cols = '3';
}

if( $columns == 'deals-col-3' ) {
	$cols = '4';
}

// Apply filter for style templates
$templates_arr = apply_filters( 'wps_deals_style_template', array(), $wps_deals_by_category_shortcode_atts );

// Get template data
$template	= isset( $templates_arr['template'] ) ? $templates_arr['template'] : '';
$default_path	= isset( $templates_arr['template_path'] ) ? $templates_arr['template_path'] : '';

// Create template class to add on container row
$template_class = !empty($template_name) ? 'deals-'.$template_name.'-template-container' : '';

$loop = null;
$loop = new WP_Query();
$loop->query( $args ); ?>

<div id="deals-<?php echo $tab;?>" class="deals-list deals-<?php echo $tab;?> <?php echo $template_class; ?> deals-row">

	<input type="hidden" id="wps_deals_by_category_shortcode_atts" data-shortcode-atts='<?php echo json_encode( $wps_deals_by_category_shortcode_atts ); ?>' />
	
	<?php	
	$i = 0;
	if( $loop->have_posts() ) {
	
		/**
		 * wps_deals_before_archive_loop hook
		 *
		 * @hooked wps_deals_count - 20
		 * @hooked wps_deals_ordering - 30
		 */
		do_action( 'wps_deals_before_home_loop' ); ?>

		<div class="deals-home-list">

			<?php /** Start of paging **/
			// create pagination object
			$paging = new Wps_Deals_Pagination_Public('wps_home_deals_ajax_pagination');
			
			// Get per page from settings
			$deals_per_page = $wps_deals_options['deals_per_page'];
			$perpage = isset( $deals_per_page ) ? $deals_per_page : -1;
					
			$paging->items( $loop->found_posts ); // set total founded deals
			$paging->limit( $perpage ); // limit entries per page
				
			// check paging is passed into post. if yes then set it to current page
			if( isset( $_POST['paging'] ) ) {
				$paging->currentPage( $_POST['paging'] ); // gets and validates the current page
			}
				
			$paging->calculate(); // calculates what to show
			$paging->parameterName( 'paging' );		
			$paging->className = "page-numbers"; // define main class
			/** End of paging **/ 

			while( $loop->have_posts() ) : $loop->the_post(); $i++;
				
				if( !empty( $template ) && file_exists(wps_deals_locate_template($template, $template_path ='', $default_path)) ) { //&& file_exists( wps_deals_locate_template($template_path) )
				
					// get the value for the normal price
					$normalprice = get_post_meta( $post->ID, $prefix . 'normal_price', true );
					
					// get the display price
					$dealprice = $wps_deals_price->wps_deals_get_price( $post->ID );
					
					// Get Thumbnail
					if( has_post_thumbnail( $post->ID ) ) {
						$dealimg = get_the_post_thumbnail( $post->ID, 'deals-more' );
					} else {
						$dealimg = '<img src="' . WPS_DEALS_URL . 'includes/images/deals-no-image.jpg" />';
					}
					
					// get the discount 
					$discount = $wps_deals_price->wps_deals_get_discount( $post->ID );
					
					// get the saving value
					$yousave = $wps_deals_price->wps_deals_get_savingprice( $post->ID );
					
					// Create agrs to sent in template
					$template_args['deal_id']			= $post->ID;
					$template_args['tab']				= $tab;
					$template_args['column']			= $cols;
					$template_args['deal_title']		= get_the_title( $post->ID );
					$template_args['deal_url']			= get_permalink( $post->ID );
					$template_args['normal_price']		= $normalprice;
					$template_args['sale_price']		= $dealprice;
					$template_args['disp_normal_price']	= $wps_deals_price->get_display_price( $normalprice, $post->ID );
					$template_args['disp_sale_price']	= $wps_deals_price->get_display_price( $dealprice, $post->ID );
					$template_args['discount']			= $discount;
					$template_args['deal_end_date']		= get_post_meta( $post->ID, $prefix.'end_date', true );
					$template_args['featured_image']	= $dealimg;
					$template_args['deals_save']		= $yousave;
					
					// add template arguments
					$template_args = array_merge( $template_args, $templates_arr );
					
					// Call user define template
					//wps_deals_get_template( $template_path, $template_args );
					wps_deals_get_template( $template, $template_args, $template_path ='', $default_path );
					
				} else { ?>
					
					<div class="<?php echo $columns; ?>">
						<div class="deals-more-content deals-col-12">
									
							<?php 					
							/**
							 * wps_deals_home_more_deals_content hook
							 *
							 * @hooked wps_deals_home_more_deals_discount - 5
							 * @hooked wps_deals_home_more_deals_image - 10
							 * @hooked wps_deals_home_more_deals_timer - 15
							 * @hooked wps_deals_home_more_deals_title - 20
							 * @hooked wps_deals_home_more_deals_price - 25
							 * @hooked wps_deals_home_more_deals_see_deal - 30
							 */
							
							$options	= isset( $options ) ? $options : array();
							do_action( 'wps_deals_home_more_deals_content', $options ); ?>			
						</div>		
					</div>
					
					<?php			
					if( $i == $cols ) {
						echo '<div class="deals-clearfix">&nbsp;</div>';
						$i = 0;
					}
				}
			endwhile; ?>
		</div><!-- /.deals-home-list -->
		<?php
		/**
		 * wps_deals_after_archive_loop hook
		 */
		do_action( 'wps_deals_after_archive_loop' );
		
		if( $loop->max_num_pages > 1 ) : ?>
	
			<div class="deals-clearfix">&nbsp;</div>
		
			<nav class="deals-pagination pagination-centered pagination-<?php echo $btncolor; ?> deals-col-12" role="navigation">
				<?php echo $paging->getOutput(); ?>
				<span class="deals-pagination-loader">
					<img src="<?php echo WPS_DEALS_URL;?>includes/images/cart-loader.gif">
				</span>
			</nav>
		<?php endif;
		} else {
			// loads the no deals found message template
			wps_deals_get_template( 'global/no-deals.php' );			
		}
	wp_reset_query(); ?>	
</div><!-- /.deals-list -->